package com.loafle.commons.rpc.protocol.json;

import com.google.gson.annotations.SerializedName;
import com.loafle.commons.rpc.protocol.RPCError;

/**
 * JSONServerResponse
 */
class JSONServerResponse {
  @SerializedName("jsonrpc")
  public String version;

  @SerializedName("result")
  public Object result;

  @SerializedName("error")
  public RPCError error;

  @SerializedName("id")
  public Object id;

  JSONServerResponse(String version, Object result, RPCError error) {
    this(version, result, error, null);
  }

  JSONServerResponse(String version, Object result, RPCError error, Object id) {
    this.version = version;
    this.result = result;
    this.error = error;
    this.id = id;
  }
}